Subject: RE: [Simple] comments on I-D ACTION:draft-ietf-simple-presence-rules-01.txt

From: [email-masked]
Date: Tue, 9 Nov 2004 11:14:33 +0200

Hi,

I have the following comments and questions for clarification regarding the presence-rules draft.

In the transformations chapter (3.3), it'd be good to clearly say which information are automatically provided when authorizing
person, device or service elements. I can quess that e.g. the PIDF status and contact elements should be automatically provided, but are all PIDF elements or elements defined for person and device by the data model automatically provided?

Is there some reason for not defining own <provide-X> element(s) for Prescaps even when the Prescaps elements have a role in identifying services (based on the data model)? I think that support for Prescaps could be added already to the basic set of transformations.

It is said at the end of chapter 3.1 that "If the <sphere> element is not present in the presence document, the value is set to undefined". How should I intepret this "undefined": is the result "no match" if a rule has a condition <sphere>work</sphere> and sphere's value is "undefined"? Additionally, is the value of the sphere assumed to be "undefined" if the 'until' attribute has been defined for it and the sphere's value is not valid any more based on the 'until'?

In the XML example, the qualified name of the attribute "foo" in the <provide-unknown-attribute> element should be used.

It's a bit unclear to me if the authorization supports having "publicly authorized" rules. So if a rule maker omits the identity element does it mean that any watcher identity matches (as could be assumed based on the common-policy).

BR, Eva

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple